## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.AnimatorFollowPath

Scene node animator making CL3D.SceneNodes move along a path, uses CL3D.PathSceneNode to define the path.
Extends CL3D.Animator.

Class Overview
CL3D.AnimatorFollowPath(scene)
Scene node animator making CL3D.SceneNodes move along a path. Uses CL3D.PathSceneNode to define the path.

Parameters:
scene
  The scene the animator is in

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | CL3D.AnimatorFollowPath.EFPFEM_START_AGAIN Constant for AnimatorFollowPath.EndMode, specifying to start the movement again when the end of the path has been reached.
<static> | CL3D.AnimatorFollowPath.EFPFEM_STOP Constant for AnimatorFollowPath.EndMode, specifying to start the movement again when the end of the path has been reached.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| animateNode(n, timeMs) Animates the scene node it is attached to and returns true if scene node was modified.
| getType() Returns the type of the animator.
| setOptions(endmode, timeNeeded, lookIntoMovementDirection) Sets the options for animating the node along the path
| setPathToFollow(path) Define the path this animator should follow

Methods borrowed from class CL3D.Animator:
  createClone, onKeyDown, onKeyUp, onMouseDown, onMouseMove, onMouseUp, onMouseWheel

Field Detail
<static> CL3D.AnimatorFollowPath.EFPFEM_START_AGAIN
Constant for AnimatorFollowPath.EndMode, specifying to start the movement again when the end of the path has been reached.

<static> CL3D.AnimatorFollowPath.EFPFEM_STOP
Constant for AnimatorFollowPath.EndMode, specifying to start the movement again when the end of the path has been reached.
Method Detail
animateNode(n, timeMs)
Animates the scene node it is attached to and returns true if scene node was modified.

Parameters:
{CL3D.SceneNode} n
  The Scene node which needs to be animated this frame.
{Integer} timeMs
  The time in milliseconds since the start of the scene.

getType()
Returns the type of the animator. For the AnimatorFollowPath, this will return 'followpath'.

setOptions(endmode, timeNeeded, lookIntoMovementDirection)
Sets the options for animating the node along the path

Parameters:
endmode
  {Number} Mode specifying what should happen when the end of the path has been reached. Can be CL3D.AnimatorFollowPath.EFPFEM_START_AGAIN or CL3D.AnimatorFollowPath.EFPFEM_STOP
timeNeeded
  {Number} Time in milliseconds needed for following the whole path, for example 10000 for 10 seconds.
lookIntoMovementDirection
  {Boolean} true if the node should look into the movement direction or false if not.

setPathToFollow(path)
Define the path this animator should follow

Parameters:
path
  {PathSceneNode} scene node representing the path

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit